extensions / Commerce extension
POST
/__runtime/checkout/stripe/intentCreate Stripe intent
Creates a Stripe PaymentIntent for a storefront cart and returns the client secret used to confirm payment.
POST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- No authentication is required; the customer is identified from the storefront session, cart token cookie, or guest checkout details.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Host | Yes | Not specified | Description: Value used by this operation. |
Path Parameters
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"ok": "string",
"client_secret": "string",
"intent_id": 1,
"pending_id": 1
}Errors
400 bad_request500 internal_server_errorAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

